import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:npay_component/styles/colors.dart';
import 'package:npay_component/styles/font_scale.dart';

class TabButton extends StatelessWidget {
  final String title;
  final int selectedPage;
  final int pageNumber;
  final Function onPressed;

  const TabButton(
      {Key key, this.title, this.selectedPage, this.pageNumber, this.onPressed})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onPressed,
      child: AnimatedContainer(
        margin: EdgeInsets.symmetric(horizontal: 2.0),
        width: MediaQuery.of(context).size.width / 4,
        height: 28,
        duration: Duration(milliseconds: 0),
        decoration: BoxDecoration(
            color:
            selectedPage == pageNumber ? Colors.white : Colors.transparent,
            borderRadius: BorderRadius.all(Radius.circular(6.93))),
        child: Center(
          child: Text(title ?? 'Tab').semiBold12(
              color: selectedPage == pageNumber ? titleTextColor : inactiveIconColor),
        ),
      ),
    );
  }
}
